Bug 254469 - x11/lightdm-gtk-greeter: Fix at-spi-bus-launcher path
Summary: x11/lightdm-gtk-greeter: Fix at-spi-bus-launcher path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guido Falsi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-03-21 18:29 UTC by Olivier Duchateau
Modified: 2021-05-25 08:56 UTC (History)
1 user (show)

See Also:


Attachments
Fix at-spi-bus-launcher path (824 bytes, patch)
2021-03-21 18:29 UTC, Olivier Duchateau
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2021-03-21 18:29:15 UTC
Created attachment 223489 [details]
Fix at-spi-bus-launcher path

- Fix at-spi-bus-launcher path [1]
- Disable indicator-services-command option, otherwise systemd is launched [2]
- Bump PORTREVISION

It is minor changes, but it avoids to pollute /var/log/lightdm/seat0-greeter.log file, when we try (debug) new desktop environment.

[1] https://github.com/Xubuntu/lightdm-gtk-greeter/blob/cdd9e2c80ee539d0188b5d45d09716af5e75ccbd/configure.ac#L199

[2] https://github.com/Xubuntu/lightdm-gtk-greeter/blob/cdd9e2c80ee539d0188b5d45d09716af5e75ccbd/configure.ac#L215
Comment 1 Ben Woods freebsd_committer 2021-05-22 02:24:32 UTC
Sorry, due to a lack of time I have reset the maintainer of this port back to ports@FreeBSD.org. Hopefully someone else is able to step in to help.
Resetting the assignee of this bug accordingly.
Comment 2 Guido Falsi freebsd_committer 2021-05-24 17:59:41 UTC
HI,

I'm taking a look at lightdm ports, I'm planning to put them under desktop@ maintainership.

I'll also test this patch.
Comment 3 commit-hook freebsd_committer 2021-05-25 08:53:00 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=db1b4136dc256c83a2721c4027ba2e198a536730

commit db1b4136dc256c83a2721c4027ba2e198a536730
Author:     Olivier Duchateau <duchateau.olivier@gmail.com>
AuthorDate: 2021-05-25 08:49:31 +0000
Commit:     Guido Falsi <madpilot@FreeBSD.org>
CommitDate: 2021-05-25 08:51:39 +0000

    x11/lightdm-gtk-greeter: Fix some dependency issues

    - Add explicit dependency on accessibility/at-spi2-core
    - Disable indicator-services-command option, which tries to launch
      systemd

    PR:             254469

 x11/lightdm-gtk-greeter/Makefile | 5 +++++
 1 file changed, 5 insertions(+)
Comment 4 Guido Falsi freebsd_committer 2021-05-25 08:56:34 UTC
Patch committed. Thanks!